## desmume 0.9.6-1%2br3654-1

=== debian/changelog ===
desmume (0.9.6-1+r3654-1) fremantle; urgency=low

  * Updated sources to SVN r3654
  * Hildonized GTK UI

 -- Tomasz Sterna <tomek@xiaoka.com>  Sun, 30 May 2010 22:00:27 +0200

desmume (0.9.6-1+r3653-1) karmic; urgency=low

  * Maemo Edition forked
  * Updated sources to SVN r3653

 -- Tomasz Sterna <tomek@xiaoka.com>  Fri, 28 May 2010 02:06:13 +0200

desmume-trunk (svnrivisionr3508) karmic; urgency=low

  [ zeromus ]
  * debug: get rid of excessive "Reading beyond end of cart" messages
    git-svn-id:
    https://desmume.svn.sourceforge.net/svnroot/desmume/trunk/desmume@34
    18 5577840e-afb3-4e59-9ef3-2b7f898b1952
  * fix swi 0x0E (crc16); your dawn of sorrow savefiles are invalidated.
    git-svn-id:
    https://desmume.svn.sourceforge.net/svnroot/desmume/trunk/desmume@34
    19 5577840e-afb3-4e59-9ef3-2b7f898b1952

  [ mtabachenko ]
  * core: - fix overflow in matrices, NDS using only 24 bits for fixed-
    point numbers (fixed minigame with carrot :) and dialogs with star
    in "M&L Bowser Inside Story"); tools: - add matrix stack test; git-
    svn-id:
    https://desmume.svn.sourceforge.net/svnroot/desmume/trunk/desmume@34
    20 5577840e-afb3-4e59-9ef3-2b7f898b1952

  [ zeromus ]
  * rasterize: fix fog densities > 127 git-svn-id:
    https://desmume.svn.sourceforge.net/svnroot/desmume/trunk/desmume@34
    21 5577840e-afb3-4e59-9ef3-2b7f898b1952
  * tweak around lcd line timing: make 3d vblank more generous (is still
    unrealistically brutal since all the rendering happens
    instantaneously, unlike real HW); give scanlines more time to render
    (render at end of scanline instead of hblank begin); execute an
    additional hblank dma on vcount=262 (speculative; fixes jittery nsmb
    split-parallax clouds) git-svn-id:
    https://desmume.svn.sourceforge.net/svnroot/desmume/trunk/desmume@34
    22 5577840e-afb3-4e59-9ef3-2b7f898b1952
  * fix dualscreen 3d frameskip screen cloning/flickering regression
    from r3422 git-svn-id:
    https://desmume.svn.sourceforge.net/svnroot/desmume/trunk/desmume@34
    23 5577840e-afb3-4e59-9ef3-2b7f898b1952

  [ yoshihiropsp ]
  * Added xbox360 support by Yoshihiro git-svn-id:
    https://desmume.svn.sourceforge.net/svnroot/desmume/trunk/desmume@34
    24 5577840e-afb3-4e59-9ef3-2b7f898b1952

  [ mtabachenko ]
  * - x360 port directory; git-svn-id:
    https://desmume.svn.sourceforge.net/svnroot/desmume/trunk/desmume@34
    25 5577840e-afb3-4e59-9ef3-2b7f898b1952
  * - move xbox360 stuff to new directory; git-svn-id:
    https://desmume.svn.sourceforge.net/svnroot/desmume/trunk/desmume@34
    26 5577840e-afb3-4e59-9ef3-2b7f898b1952

  [ yoshihiropsp ]
  * Added xbox360 support on desmume git-svn-id:
    https://desmume.svn.sourceforge.net/svnroot/desmume/trunk/desmume@34
    27 5577840e-afb3-4e59-9ef3-2b7f898b1952
  * git-svn-id:
    https://desmume.svn.sourceforge.net/svnroot/desmume/trunk/desmume@34
    28 5577840e-afb3-4e59-9ef3-2b7f898b1952
  * git-svn-id:
    https://desmume.svn.sourceforge.net/svnroot/desmume/trunk/desmume@34
    29 5577840e-afb3-4e59-9ef3-2b7f898b1952
  * Added xbox360 support to desmume Yoshihiro git-svn-id:
    https://desmume.svn.sourceforge.net/svnroot/desmume/trunk/desmume@34
    30 5577840e-afb3-4e59-9ef3-2b7f898b1952
  * git-svn-id:
    https://desmume.svn.sourceforge.net/svnroot/desmume/trunk/desmume@34
    31 5577840e-afb3-4e59-9ef3-2b7f898b1952
  * Added some define for the xbox360 support git-svn-id:
    https://desmume.svn.sourceforge.net/svnroot/desmume/trunk/desmume@34
    32 5577840e-afb3-4e59-9ef3-2b7f898b1952
  * git-svn-id:
    https://desmume.svn.sourceforge.net/svnroot/desmume/trunk/desmume@34
    33 5577840e-afb3-4e59-9ef3-2b7f898b1952
  * Version string fixed for XBox360 new def git-svn-id:
    https://desmume.svn.sourceforge.net/svnroot/desmume/trunk/desmume@34
    34 5577840e-afb3-4e59-9ef3-2b7f898b1952
  * git-svn-id:
    https://desmume.svn.sourceforge.net/svnroot/desmume/trunk/desmume@34
    35 5577840e-afb3-4e59-9ef3-2b7f898b1952
  * Big endian argb git-svn-id:
    https://desmume.svn.sourceforge.net/svnroot/desmume/trunk/desmume@34
    36 5577840e-afb3-4e59-9ef3-2b7f898b1952

  [ yabause ]
  * Reverting the whole tree to revision 3423, please test to make sure
    everything is back :) git-svn-id:
    https://desmume.svn.sourceforge.net/svnroot/desmume/trunk/desmume@34
    37 5577840e-afb3-4e59-9ef3-2b7f898b1952

  [ yoshihiropsp ]
  * Added XBOX360 support for compactflash git-svn-id:
    https://desmume.svn.sourceforge.net/svnroot/desmume/trunk/desmume@34
    38 5577840e-afb3-4e59-9ef3-2b7f898b1952
  * Add _XBOX undefined git-svn-id:
    https://desmume.svn.sourceforge.net/svnroot/desmume/trunk/desmume@34
    39 5577840e-afb3-4e59-9ef3-2b7f898b1952
  * #undef min max for XBOX360 git-svn-id:
    https://desmume.svn.sourceforge.net/svnroot/desmume/trunk/desmume@34
    40 5577840e-afb3-4e59-9ef3-2b7f898b1952
  * Fixed GFX3D reset on xbox hardware #define _XBOX git-svn-id:
    https://desmume.svn.sourceforge.net/svnroot/desmume/trunk/desmume@34
    41 5577840e-afb3-4e59-9ef3-2b7f898b1952
  * Added Forceinline fix on XBOX360 cannot be used with static git-svn-
    id:
    https://desmume.svn.sourceforge.net/svnroot/desmume/trunk/desmume@34
    42 5577840e-afb3-4e59-9ef3-2b7f898b1952
  * Added XBOX include git-svn-id:
    https://desmume.svn.sourceforge.net/svnroot/desmume/trunk/desmume@34
    43 5577840e-afb3-4e59-9ef3-2b7f898b1952
  * #undef min max and fix forceinline for XBOX360 git-svn-id:
    https://desmume.svn.sourceforge.net/svnroot/desmume/trunk/desmume@34
    44 5577840e-afb3-4e59-9ef3-2b7f898b1952

  [ zeromus ]
  * check in all the xbox compile fixes after tweaking some things.
    looks benign. need to test compilation in nix still git-svn-id:
    https://desmume.svn.sourceforge.net/svnroot/desmume/trunk/desmume@34
    45 5577840e-afb3-4e59-9ef3-2b7f898b1952

  [ yoshihiropsp ]
  * Xbox Project git-svn-id:

