=== debian/control ===
Source: desmume
Section: user/games
Priority: extra
Maintainer: Tomasz Sterna <tomek@xiaoka.com>
Build-Depends: debhelper (>= 5), libgtk2.0-dev, libsdl1.2-dev,
 libhildon1-dev, libhildonfm2-dev, libosso-dev,
 libagg-dev, intltool, quilt, libasound2-dev, desktop-file-utils
Standards-Version: 3.8.3
Vcs-Git: git://github.com/smokku/desmume.git
Vcs-Browser: http://github.com/smokku/desmume
Homepage: http://desmume.org/

Package: desmume
Architecture: any
Depends: ${shlibs:Depends}, desktop-file-utils
Description: Nintendo DS emulator
 DeSmuME is a Nintendo DS emulator running homebrew demos and commercial games.
XSBC-Bugtracker: http://github.com/smokku/desmume/issues
XB-Maemo-Display-Name: DeSmuME
XB-Maemo-Icon-26:
 LyogWFBNICovCnN0YXRpYyBjb25zdCBjaGFyICogRGVTbXVNRV94cG1bXSA9
 IHsKIjMyIDMyIDE1IDEiLAoiIAljIE5vbmUiLAoiLgljICMwMDAwMDAiLAoi
 KwljICNGNkY2RkIiLAoiQAljICNFQ0VDRjYiLAoiIwljICNFMkUyRjEiLAoi
 JAljICNEOEQ4RUMiLAoiJQljICNDRkNGRTciLAoiJgljICNDNUM1RTIiLAoi
 KgljICNCQkJCREUiLAoiPQljICNCMUIxRDkiLAoiLQljICNBOEE4RDQiLAoi
 OwljICM5RTlFQ0YiLAoiPgljICM5NDk0Q0EiLAoiLAljICM4QThBQzUiLAoi
 JwljICM4MDgwQzAiLAoiICAgLi4uLi4uLi4uLi4uLi4uLi4uLi4gICAgICAg
 ICAiLAoiICAgLi4uLi4uLi4uLi4uLi4uLi4uLi4gICAgICAgICAiLAoiLi4u
 Li4rKy4uKysrKysuLisrKysrLi4gICAgICAgICAiLAoiLi4uLi4rKy4uKysu
 Li4uLisrLi4uLi4gICAgICAgICAiLAoiLi5AQEBAQC4uQEBAQEAuLkBAQEBA
 Li4gICAgICAgICAiLAoiLi5AQC5AQC4uQEAuLi4uLi4uLkBALi4gICAgICAg
 ICAiLAoiLi4jIy4jIy4uIyMuIyMuLiMjLiMjLi4gICAgICAgICAiLAoiLi4j
 Iy4jIy4uIyMuIyMuLiMjLiMjLi4gICAgICAgICAiLAoiLi4kJC4kJC4uJCQu
 JCQuLiQkLiQkLi4gICAgICAgICAiLAoiLi4kJC4kJC4uJCQuJCQuLiQkLiQk
 Li4gICAgICAgICAiLAoiLi4lJS4lJS4uJSUuJSUuLiUlLiUlLi4gICAgICAg
 ICAiLAoiLi4lJS4lJS4uJSUuJSUuLiUlLiUlLi4gICAgICAgICAiLAoiLi4m
 JiYmJi4uJiYmJiYuLiYmJiYmLi4gICAgICAgICAiLAoiLi4uLi4uLi4uLi4u
 Li4uLi4uLi4uLi4gICAgICAgICAiLAoiLi4uLi4uLioqKioqKioqLioqLioq
 Li4gICAgICAgICAiLAoiICAgICAuLj09Lj09Lj09Lj09Lj09Li4gICAgICAg
 ICAiLAoiICAgICAuLj09Lj09Lj09Lj09Lj09Li4gICAgICAgICAiLAoiICAg
 ICAuLi0tLi0tLi0tLi0tLi0tLi4gICAgICAgICAiLAoiICAgICAuLi0tLi0t
 Li0tLi0tLi0tLi4gICAgICAgICAiLAoiICAgICAuLjs7Ljs7Ljs7Ljs7Ozs7
 Li4gICAgICAgICAiLAoiICAgICAuLi4uLi4uLi4uLi4uLi4uLi4uLi4gICAg
 ICAiLAoiICAgICAuLi4uLi4uLi4uLi4uLi4uLi4uLi4gICAgICAiLAoiICAg
 ICAgICAuLj4+Pj4+Pj4+Lj4+Pj4+Li4gICAgICAiLAoiICAgICAgICAuLj4+
 Lj4+Lj4+Lj4+Li4uLi4gICAgICAiLAoiICAgICAgICAuLiwsLiwsLiwsLiws
 LCwsLi4gICAgICAiLAoiICAgICAgICAuLiwsLiwsLiwsLiwsLi4uLi4gICAg
 ICAiLAoiICAgICAgICAuLicnLicnLicnLicnLicnLi4gICAgICAiLAoiICAg
 ICAgICAuLicnLicnLicnLicnLicnLi4gICAgICAiLAoiICAgICAgICAuLicn
 LicnLicnLicnLicnLi4gICAgICAiLAoiICAgICAgICAuLicnLicnLicnLicn
 JycnLi4gICAgICAiLAoiICAgICAgICAuLi4uLi4uLi4uLi4uLi4uLi4gICAg
 ICAiLAoiICAgICAgICAuLi4uLi4uLi4uLi4uLi4uLi4gICAgICAifTsK
