=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/quilt/quilt.make

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

configure_flags = --prefix=/usr --mandir=\$${prefix}/share/man \
			--bindir=/usr/games --datadir=/usr/share/games \
			--localedir=/usr/share/locale \
			--enable-gdb-stub --enable-hildon

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  configure_flags += --build $(DEB_HOST_GNU_TYPE)
else
  configure_flags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

configure:
	autoreconf -f -i
	intltoolize

config.status: configure
	dh_testdir
	# Update config.{guess,sub}
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	./configure $(configure_flags) \
		CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs -Wl,--as-needed"

build: $(QUILT_STAMPFN) build-stamp

build-stamp:  config.status
	dh_testdir
	$(MAKE)
	touch $@

clean: unpatch
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean config.guess config.sub build-stamp 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/desmume install
	mv debian/desmume/usr/share/games/pixmaps/DeSmuME.xpm \
		debian/desmume/usr/share/pixmaps/
	rm -rf debian/desmume/usr/share/games/pixmaps
	mv debian/desmume/usr/share/games/applications/desmume*.desktop \
		debian/desmume/usr/share/applications/hildon/
	rm -rf debian/desmume/usr/share/games/applications
	mv debian/desmume/usr/share/games/dbus-1/services/desmume.service \
		debian/desmume/usr/share/dbus-1/services
	rm -rf debian/desmume/usr/share/games/dbus-1
	rm -f debian/desmume/usr/games/*glade* debian/desmume/usr/share/applications/hildon/*glade* debian/desmume/usr/share/man/man?/*glade*
	rm -rf debian/desmume/usr/share/games/desmume

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	#dh_installmenu
	#dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	maemo-optify
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
